AnsweredAssumed Answered

postgresql error

Question asked by jey10 on Aug 11, 2014
Latest reply on Aug 11, 2014 by jey10
Bonjour, tout marchait très bien, mais j'ai voulu faire des mises à jour sur le serveur (apt-get update), il m'a proposé d'installer une nouvelle version de pgsql, la 9.1. J'ai dis ok et maintenant j'ai un gros souci!!
Postgresql marche bien car il démarre sans souci la base de données, mais alfresco, lui, ne démarre pas, il me fait /opt/alfrzsco-4.2.f/postgresql/scripts/ctl.sh : postgresql could not be started.
C’est vraiment une erreur alfresco puisque la base, sans alfresco, démarre très bien.

Merci d'avance c'est très gênant si dès qu'on fait une mises à jour ça plante!
Je n'ai rien dans les logs share et alfresco.
Dans les logs /opt/alfresco/postgresql/postgresql.log, j'ai could not create any TCP/IP sockets, mais il n'y a aucune date.
Quand j'essaye de lancer manuellement ./opt/alfresco/postgresql/bin/pg_ctl.bin j'ai error while loading shared libraries: libssl.so.0.9.8: cannot open shared object file: No such file or directory
J'ai essayé d'installer la librairie mais elle est déjà installée.
J'ai vu sur un forum que je puvais faire cette commande dans /bin : "ldd postmaster" et j'ai ça (entres autres) : libssl.so.0.9.8 => not found
libcrypto.so.9.8.0 => not found.

Outcomes